Author Message

<  Everything Coding  ~  source release tarballs ship with very outdated autoconf

PostPosted: Fri Aug 15, 2014 5:33 pm Reply with quote
Posts: 2 Joined: Fri Aug 15, 2014 5:15 pm
the latest release ships with a "jim" that has very outdated autoconf files.
it doesn't recognize my linux-musl toolchain, even though the triple is supported by upstream autoconf since 3 years.
so in order to get it to build i basically had to replace all the autoconf-generated files with recent copies.
next time you draft a release please run autoreconf -i in the jim source dir from an up-to-date linux system before distributing the tarball to fix this issue.
thanks!


Offline
PostPosted: Sat Aug 16, 2014 8:16 am Reply with quote
Site Admin Posts: 6420 Joined: Sat Nov 03, 2007 12:30 am
No problem, will do.

Most likely I'll include an updated version of libjim anyway in the next release. The reason:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751271


Offline

Display posts from previous:  Sort by:

All times are UTC+02:00
Page 1 of 1
2 posts
Users browsing this forum: No registered users and 2 guests
Search for:
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum